# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KPixmapProvider Class Reference

A tiny abstract class with just one method: pixmapFor() an abstract interface for looking up icons. More...

`#include <kpixmapprovider.h>`

Inheritance diagram for KPixmapProvider:

[legend]
List of all members.

## Public Member Functions

virtual QPixmap | pixmapFor (const QString &text, int size=0)=0

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

A tiny abstract class with just one method: pixmapFor() an abstract interface for looking up icons.

It will be called whenever an icon is searched for `text`.

Used e.g. by KHistoryCombo

Author:
  Carsten Pfeiffer <pfeiffer@kde.org>

Definition at line 38 of file kpixmapprovider.h.

## Member Function Documentation

virtual QPixmap KPixmapProvider::pixmapFor | ( | const QString & | text,
|  | int | size = `0`
| ) | `[pure virtual]`

You may subclass this and return a pixmap of size `size` for `text`.

Parameters:

  | text | the text that is associated with the pixmap
  | size | the size of the icon in pixels, 0 for defaylt size. See KIcon::StdSize.

Returns:
  the pixmap for the arguments, or null if there is none

Implemented in KURLPixmapProvider.

The documentation for this class was generated from the following files:

- kpixmapprovider.h
- kpixmapprovider.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:53 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003